# TMatrix33SymQuaternion Class Reference
[Math classes]

Inheritance diagram for TMatrix33SymQuaternion:

List of all members.

## Public Member Functions
| TMatrix33SymQuaternion ()
| TMatrix33SymQuaternion (const TMatrix33 &matrix)
const TMatrix33 & | GetMatrix () const
const SymQuaternion & | GetQuaternion () const
void | SetMatrix (const TMatrix33 &matrix)
void | SetQuaternion (const SymQuaternion &quaternion)
void | SetFromInterpolate (const real lamda, const SymQuaternion &q1, const SymQuaternion &q2)
void | Subtract (const real lamda, const SymQuaternion &q1, const SymQuaternion &q2)
void | Diff (const SymQuaternion &q1, const SymQuaternion &q2)
void | Multiply (const SymQuaternion &q1, const SymQuaternion &q2)
boolean | operator== (const TMatrix33SymQuaternion &q1) const
boolean | operator!= (const TMatrix33SymQuaternion &q1) const
## Static Public Attributes
static const TMatrix33SymQuaternion | kIdentity
## Protected Types
enum | EFlags { kMatrixValid = 0x01, kQuaternionValid = 0x02 }
## Protected Member Functions
void | ValidateMatrix () const
void | ValidateQuaternion () const
## Protected Attributes
TMatrix33 | fMatrix
SymQuaternion | fQuaternion
uint8 | fFlags

## Detailed Description

Class used to properly interpolate rotation matrices with quaternions (also does some caching)

## Member Enumeration Documentation

enum TMatrix33SymQuaternion::EFlags`[protected]`

Enumerator:

  kMatrixValid |
  kQuaternionValid |

## Constructor & Destructor Documentation

TMatrix33SymQuaternion::TMatrix33SymQuaternion | ( |  | ) |

TMatrix33SymQuaternion::TMatrix33SymQuaternion | ( | const TMatrix33 & | matrix | ) |

## Member Function Documentation

void TMatrix33SymQuaternion::Diff | ( | const SymQuaternion & | q1,
|  | const SymQuaternion & | q2 |
| ) |  |  |

const TMatrix33& TMatrix33SymQuaternion::GetMatrix | ( |  | ) | const

const SymQuaternion& TMatrix33SymQuaternion::GetQuaternion | ( |  | ) | const

void TMatrix33SymQuaternion::Multiply | ( | const SymQuaternion & | q1,
|  | const SymQuaternion & | q2 |
| ) |  |  |

boolean TMatrix33SymQuaternion::operator!= | ( | const TMatrix33SymQuaternion & | q1 | ) | const`[inline]`

boolean TMatrix33SymQuaternion::operator== | ( | const TMatrix33SymQuaternion & | q1 | ) | const

void TMatrix33SymQuaternion::SetFromInterpolate | ( | const real | lamda,
|  | const SymQuaternion & | q1,
|  | const SymQuaternion & | q2 |
| ) |  |  |

void TMatrix33SymQuaternion::SetMatrix | ( | const TMatrix33 & | matrix | ) |

void TMatrix33SymQuaternion::SetQuaternion | ( | const SymQuaternion & | quaternion | ) |

void TMatrix33SymQuaternion::Subtract | ( | const real | lamda,
|  | const SymQuaternion & | q1,
|  | const SymQuaternion & | q2 |
| ) |  |  |

void TMatrix33SymQuaternion::ValidateMatrix | ( |  | ) | const`[inline, protected]`

void TMatrix33SymQuaternion::ValidateQuaternion | ( |  | ) | const`[inline, protected]`

## Member Data Documentation

uint8 TMatrix33SymQuaternion::fFlags`[mutable, protected]`

TMatrix33 TMatrix33SymQuaternion::fMatrix`[mutable, protected]`

SymQuaternion TMatrix33SymQuaternion::fQuaternion`[mutable, protected]`

const TMatrix33SymQuaternion TMatrix33SymQuaternion::kIdentity`[static]`

The documentation for this class was generated from the following file:

- RealQuat.h